Bug 981753 - [abrt] istanbul-0.2.2-17.fc17: rq.py:1448:reply:BadDrawable: <class 'Xlib.error.BadDrawable'>: code = 9, resource_id = Xlib.xobject.resource.Resource(0x00eb88cb), sequence_number = 23, major_opcode = 14, minor_opcode = 0
[abrt] istanbul-0.2.2-17.fc17: rq.py:1448:reply:BadDrawable: <class 'Xlib.err...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: istanbul (Show other bugs)
17
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Jef Spaleta
Fedora Extras Quality Assurance
abrt_hash:fc37ca1e3bfc5f2cba43920747b...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-05 13:38 EDT by Alan Eliasen
Modified: 2013-07-31 21:59 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-31 21:59:32 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (1.42 KB, text/plain)
2013-07-05 13:38 EDT, Alan Eliasen
no flags Details
File: core_backtrace (710 bytes, text/plain)
2013-07-05 13:38 EDT, Alan Eliasen
no flags Details

  None (edit)
Description Alan Eliasen 2013-07-05 13:38:21 EDT
Description of problem:
Error just popped up; I was not even recording.

Version-Release number of selected component:
istanbul-0.2.2-17.fc17

Additional info:
reporter:       libreport-2.1.5
cmdline:        /usr/bin/python /usr/bin/istanbul
executable:     /usr/bin/istanbul
kernel:         3.4.3-1.fc17.x86_64
runlevel:       N 5
uid:            502

Truncated backtrace:
rq.py:1448:reply:BadDrawable: <class 'Xlib.error.BadDrawable'>: code = 9, resource_id = Xlib.xobject.resource.Resource(0x00eb88cb), sequence_number = 23, major_opcode = 14, minor_opcode = 0

Traceback (most recent call last):
  File "/usr/lib/python2.7/site-packages/istanbul/main/tray_icon.py", line 65, in _trayicon_clicked
    self.current_screencast.start_recording()
  File "/usr/lib/python2.7/site-packages/istanbul/main/screencast.py", line 56, in start_recording
    area_x1, area_y1, area_x2, area_y2 = self.selector.get_area()
  File "/usr/lib/python2.7/site-packages/istanbul/main/window_select.py", line 45, in get_area
    root_window = target_window.get_geometry().root
  File "/usr/lib/python2.7/site-packages/Xlib/xobject/drawable.py", line 38, in get_geometry
    drawable = self)
  File "/usr/lib/python2.7/site-packages/Xlib/protocol/rq.py", line 1428, in __init__
    self.reply()
  File "/usr/lib/python2.7/site-packages/Xlib/protocol/rq.py", line 1448, in reply
    raise self._error
BadDrawable: <class 'Xlib.error.BadDrawable'>: code = 9, resource_id = Xlib.xobject.resource.Resource(0x00eb88cb), sequence_number = 23, major_opcode = 14, minor_opcode = 0

Local variables in innermost frame:
self: <Xlib.protocol.request.GetGeometry serial = 23, data = None, error = <class 'Xlib.error.BadDrawable'>: code = 9, resource_id = Xlib.xobject.resource.Resource(0x00eb88cb), sequence_number = 23, major_opcode = 14, minor_opcode = 0>

Potential duplicate: bug 972229
Comment 1 Alan Eliasen 2013-07-05 13:38:24 EDT
Created attachment 769346 [details]
File: backtrace
Comment 2 Alan Eliasen 2013-07-05 13:38:26 EDT
Created attachment 769347 [details]
File: core_backtrace
Comment 3 Fedora End Of Life 2013-07-31 21:59:35 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.